Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::StateInBin Class Reference

Read objects written with StateOutBin. More...

`#include <state_bin.h>`

Inheritance diagram for sc::StateInBin:

[legend]
Collaboration diagram for sc::StateInBin:

[legend]
List of all members.

## Public Methods

| StateInBin ()
| StateInBin (const Ref< KeyVal > &)
| StateInBin (std::istream &)
| StateInBin (const char *)
| ~StateInBin ()
int | open (const char *name)
| State information will be obtained from name.
int | use_directory ()
| Returns true of this object uses a directory.
int | tell ()
| Return the current position in the file.
void | seek (int loc)
| Set the current position in the file. More...
int | seekable ()
| Return non-zero if seek does anything sensible. More...

## Detailed Description

Read objects written with StateOutBin.

## Member Function Documentation

void sc::StateInBin::seek | ( | int | loc | ) | `[virtual]`

| Set the current position in the file. The default implementation does nothing. Reimplemented from sc::StateIn.

int sc::StateInBin::seekable | ( |  | ) | `[virtual]`

| Return non-zero if seek does anything sensible. The default implementation returns 0. Reimplemented from sc::StateIn.

The documentation for this class was generated from the following file:

- state_bin.h